summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Pointner <equinox@helsinki.at>2016-05-25 13:50:25 (GMT)
committerChristian Pointner <equinox@helsinki.at>2016-05-25 13:50:25 (GMT)
commit25acf325139cc0f7ce59406bc083258aa1e8bfee (patch)
tree20f0f71c25339883949f40c34e60c4f175cf4a61
parentec2d26a1cd6c0d4d2cc2f55346b8698f007ab918 (diff)
moved inspectors to test dir
-rwxr-xr-xtest/cba-inspect (renamed from cba-inspect)11
-rwxr-xr-xtest/rss-inspect96
2 files changed, 103 insertions, 4 deletions
diff --git a/cba-inspect b/test/cba-inspect
index 6eceeaf..b8546bd 100755
--- a/cba-inspect
+++ b/test/cba-inspect
@@ -31,8 +31,8 @@ use XML::Feed::Enclosure;
use URI::URL;
use HTML::Entities;
-use lib '../rhrdlibs/lib/';
-use lib '/usr/local/share/rhautoimport/';
+use lib '../../rhrdlibs/lib/';
+use lib '../';
use rhautoimport;
use Data::Dumper::Simple;
@@ -67,12 +67,15 @@ for my $entry ($feed->entries) {
$sum_title = decode_entities($entry->title);
$sum_text = decode_entities($entry->content->body);
+ my $production_date = $entry->{'entry'}{'productionDate'};
+ $production_date = '<unset>' unless (defined $production_date);
my $broadcast_date = $entry->{'entry'}{'broadcastDate'};
$broadcast_date = '<unset>' unless (defined $broadcast_date);
print $sum_title . ":\n";
- print " Issued: " . $entry->issued . "\n";
- print " Broadcast: " . $broadcast_date . "\n";
+ print " Issued: " . $entry->issued . "\n";
+ print " Production: " . $production_date . "\n";
+ print " Broadcast: " . $broadcast_date . "\n";
print " Files:\n";
my $j = 0;
diff --git a/test/rss-inspect b/test/rss-inspect
new file mode 100755
index 0000000..3494e7c
--- /dev/null
+++ b/test/rss-inspect
@@ -0,0 +1,96 @@
+#!/usr/bin/perl -w
+#
+#
+# rhautoimport
+#
+# Copyright (C) 2009-2016 Christian Pointner <equinox@helsinki.at>
+#
+# This file is part of rhautoimport.
+#
+# rhautoimport is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# any later version.
+#
+# rhautoimport is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with rhautoimport. If not, see <http://www.gnu.org/licenses/>.
+#
+
+use strict;
+use attributes;
+use Date::Calc;
+use XML::Feed;
+use XML::Feed::Entry;
+use XML::Feed::Content;
+use XML::Feed::Enclosure;
+use URI::URL;
+use HTML::Entities;
+
+use lib '../../rhrdlibs/lib/';
+use lib '../';
+use rhautoimport;
+
+use Data::Dumper::Simple;
+
+$XML::Feed::MULTIPLE_ENCLOSURES=1;
+
+if($#ARGV != 0) {
+ print "Usage: rss-inspect <rss url>\n";
+ exit 1;
+}
+my $RSS_URL = $ARGV[0];
+
+binmode(STDIN, ":utf8");
+binmode(STDOUT, ":utf8");
+binmode(STDERR, ":utf8");
+
+my ($feed, $errstr) = rhautoimport::fetch_parse_rss($RSS_URL);
+unless (defined $feed) {
+ print "Error fetching feed: $errstr\n";
+ exit 1;
+}
+
+my $uri = "";
+my $file = "";
+my $sum_title = "";
+my $sum_text = "";
+
+my $i = 0;
+for my $entry ($feed->entries) {
+ $i++;
+ next unless $entry->enclosure;
+
+ $sum_title = decode_entities($entry->title);
+ $sum_text = decode_entities($entry->content->body);
+ my $guid = $entry->{'entry'}{'guid'};
+ $guid = '<unset>' unless (defined $guid);
+
+ print $sum_title . ":\n";
+ print " Issued: " . $entry->issued . "\n";
+ print " guid: " . $guid. "\n";
+ print " Files:\n";
+
+ my $j = 0;
+ for my $enclosure($entry->enclosure) {
+ $j++;
+ if($enclosure->type eq "audio/mpeg" || $enclosure->type eq "audio/ogg") {
+ my $orig_uri = $enclosure->url;
+ if($orig_uri =~ /^(.*)_cut(\.[^\.]+)$/) {
+ $orig_uri = $1 . $2;
+ }
+ $uri = new URI::URL($orig_uri);
+ my @path = $uri->path_components;
+ $file = $path[-1];
+
+ print " $j: (" . $enclosure->type . ", " . $enclosure->length . ") " . $file . "\n";
+ }
+ }
+ print "\n";
+}
+
+exit 0;